﻿using C1.Win.Ribbon;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace RibbonContext
{
    public partial class Form1 : Form
    {
        RibbonButton customContextBtn;
        public Form1()
        {
            InitializeComponent();
            Load += Form1_Load;
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            //use MouseUp event to get the item clicked and show the context menu
            c1Ribbon1.MouseUp += C1Ribbon1_MouseUp;

            //add item to the context menu
            customContextBtn = new RibbonButton();
            customContextBtn.Text = "Add to Custom Menu";
            customContextBtn.Click += Btn_Click;
            c1Ribbon1.ContextMenuItems.Add(customContextBtn);

            //add the minimize ribbon button
            RibbonButton minimizeBtn = new RibbonButton();
            minimizeBtn.Text = "Minimize the Ribbon";
            minimizeBtn.Click += MinimizeBtn_Click;
            c1Ribbon1.ContextMenuItems.Add(minimizeBtn);
        }

        private void MinimizeBtn_Click(object sender, EventArgs e)
        {
            c1Ribbon1.Minimized = !c1Ribbon1.Minimized;
        }

        private void Btn_Click(object sender, EventArgs e)
        {
            var btn = (RibbonButton)customContextBtn.Tag;
            MessageBox.Show($"Custom Action Clicked for {btn.Text}");
        }

        private void C1Ribbon1_MouseUp(object sender, MouseEventArgs e)
        {
            //get item at the poiny
            var rItem = c1Ribbon1.GetItemAt(e.Location);
            //if item is a RibbonButton, store it in the Tag of custom context menu button and then show context menu.
            if (rItem != null && rItem is RibbonButton)
            {
                customContextBtn.Tag = rItem;
                c1Ribbon1.ShowContextMenu(this.PointToScreen(e.Location), (RibbonItem)rItem);
            }
        }

        

       
    }
}
